[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: latest update broke JBDS6 and Zend Studio



Hi,

> 1) We remove these links from protocol 1.0 in OpenShift Online
I agree we should hotfix the OpenShift Online REST issue, as many users are hitting the problem right now. There's no Zend Studio compatible with current OpenShift Online released yet at the moment.
https://bugzilla.redhat.com/show_bug.cgi?id=1003037

> 2) We tell JBDS6 and Zend Studio users to upgrade and leave the ones that can't in the dust. 
Zend already confirmed they're going to update the openshift-java-client in the future versions of Zend Studio. Updating Eclipse/JBoss Tools to Kepler (4.3) also works. On the other hand, forcing users to upgrade their IDE is just a workaround.

- Vojtech

---
Vojtech Vitek
Red Hat, Inc.
Brno, Czech Rep.
GSM: +420608260892

----- Original Message -----
From: "André Dietisheim" <adietish redhat com>
To: dev lists openshift redhat com, "Clayton Coleman" <ccoleman redhat com>
Cc: "Nam Duong" <nduong redhat com>, "Vojtech Vitek" <vvitek redhat com>, "Max Rydahl Andersen" <max andersen redhat com>
Sent: Wednesday, September 4, 2013 12:07:23 PM
Subject: latest update broke JBDS6 and Zend Studio

Hi 

the latest update to OpenShift unfortunately broke JBDS6 and Zend Studio, Those 2 are not functional any more, users cant any longer log in: 

* https://bugzilla.redhat.com/show_bug.cgi?id=1003037 
* https://issues.jboss.org/browse/JBIDE-15396 

Nam noticed this last friday and in the beginning of this week Zend Studio folks stepped up and reported this. There are also 3 threads in the OpenShift forum that report this: 

* https://www.openshift.com/forums/openshift/jboss-openshift-tools-unknow-request-parameter-type-array 
* https://www.openshift.com/blogs/getting-started-with-eclipse-paas-integration#comment-33805 
* https://www.openshift.com/forums/openshift/login-problem-with-eclipse-indigo 

The root cause are the new links to add/update env variables: 
<snip> 
{ 
"default_value" => undefined, 
"description" => "Add or Update application environment variables, e.g.:[{'name':'FOO', 'value':'123'}, {'name':'BAR', 'value':'abc'}]", "name" => "environment_variables", 
"type" => "array", 
"valid_options" => [] 
} 
</snip> 

The openshift-java-client v 2.0.2 ( https://github.com/openshift/openshift-java-client ) that's used in Zend and JBDS6 stumbles upon the "type" => "array", a type it doesnt know and complains. The client library is not tolerant, it should simply ignore it. 

I see 2 options: 

1) We remove these links from protocol 1.0 in OpenShift Online 
2) We tell JBDS6 and Zend Studio users to upgrade and leave the ones that can't in the dust. 

What do you guys suggest? 

Thanks 
André 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]